Skip to main content
POST
/
api
/
v1
/
customers
Crear cliente
curl --request POST \
  --url https://api.lapyme.com.ar/api/v1/customers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "company_name": "<string>",
  "description": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "tax_id": "<string>",
  "tax_id_type": "CUIL/CUIT",
  "tax_category": "registered_vat_taxpayer",
  "person_type": "FISICA",
  "country": "<string>",
  "province": "<string>",
  "city": "<string>",
  "address": "<string>",
  "apartment": "<string>",
  "postal_code": "<string>",
  "assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payment_term_id": "days_7",
  "is_active": true
}
'
{
  "request_id": "<string>",
  "data": {
    "customer": {
      "object": "customer",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "company_name": "<string>",
      "description": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "address": "<string>",
      "apartment": "<string>",
      "city": "<string>",
      "tax_id": "<string>",
      "tax_id_type": "<string>",
      "tax_category": "<string>",
      "contact_type": "<string>",
      "default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_term_id": "<string>",
      "province_id": "<string>",
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "person_type": "<string>",
      "country": "<string>",
      "postal_code": "<string>",
      "assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "default_ganancias_regimen": "<string>",
      "assigned_salesperson": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>"
      },
      "default_price_list": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "sales_overview": {
        "pending_balance": 123,
        "sales_count": 4503599627370495,
        "total_sales": 123,
        "recent_sales": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "voucher_type": "<string>",
            "invoice_status": "<string>",
            "invoice_date": "<string>",
            "currency": "<string>",
            "total": 123,
            "formatted_invoice_number": "<string>",
            "original_sale_id": "<string>",
            "created_at": "2023-11-07T05:31:56Z"
          }
        ]
      }
    },
    "idempotent_replay": true
  },
  "warnings": [
    "<unknown>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Headers

Idempotency-Key
string
required

Clave única para evitar duplicados al reintentar la misma creación de cliente.

Required string length: 1 - 255
X-Request-Id
string

ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.

Required string length: 1 - 255

Body

application/json
name
string
required
Required string length: 1 - 70
company_name
string | null
Maximum string length: 70
description
string | null
Maximum string length: 500
email
string<email> | null
Maximum string length: 100
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
phone
string | null
Maximum string length: 13
tax_id
string | null
Maximum string length: 32
tax_id_type
enum<string> | null
Available options:
CUIL/CUIT,
DNI
tax_category
enum<string> | null
Available options:
registered_vat_taxpayer,
final_consumer,
monotributo_taxpayer,
vat_exempt,
vat_not_applicable
person_type
enum<string> | null
Available options:
FISICA,
JURIDICA
country
string | null
Maximum string length: 50
province
string | null
Maximum string length: 2
city
string | null
Maximum string length: 255
address
string | null
Maximum string length: 70
apartment
string | null
Maximum string length: 10
postal_code
string | null
Maximum string length: 8
assigned_salesperson_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
default_price_list_id
string<uuid> | null
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
payment_term_id
enum<string> | null
Available options:
days_7,
days_15,
days_30,
days_45,
days_60,
days_90,
days_30_60,
days_30_60_90
is_active
boolean

Response

Cliente creado exitosamente

request_id
string
required
data
object
required
warnings
any[]
required